Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19
help me in installing ethernet driver
Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: help me in installing ethernet driver

  1. #1

    help me in installing ethernet driver

    hai guys,

    i am new to linux.today only i installed linux 9 in my system by studing book.
    but my ethernet card was no detected.i am having drivers.i dont know how to install drivers.can any one of u help in installing drivers for ethernet card with breif description.

    when i extracted .trg file there is one file consists of some source code.
    i dont know how to compile and run the code too.please help mee in that.


  2. #2
    There's no such thing as Linux 9. I assume you are talking about Red Hat Linux 9, which is a pretty old version.
    If you have a driver for your network card, and you already extracted the source doe, there should be a file called README or some such thing. It should contain information on how to install the driver. Alternatively, the place where you got the driver from might have instructions on how to do it.
    If you tell us what specific hardware you have, we might be able to help you more specifically.
    My crime is that of curiosity. My crime is that of judging people by what they say and think, not what they look like. My crime is that of outsmarting you, something that you will never forgive.

  3. #3
    it is asking that to compile the code
    i dont know how to compile and run the code.
    and also told that after compiling the file it will create a sc92031.o
    that i have paste that file in the following directory.

    /lib/modules/KERNEL_VERSION/kernel/drivers/net/, and in 2.2.x kernel,
    the path is /lib/modules/KERNEL_VERSION/net/

    i dont know where to compile and run the code.

    and please let know the commonds .


    thanking you
    lakshman.

  4. #4
    Moderator
    Good Guru
    Compunuts's Avatar
    Join Date
    May 2001
    Location
    California
    Posts
    3,935
    What the output if you run "lspci" and "lsmod" return when you type in at your terminal window?

    To view links or images in signatures your post count must be 10 or greater. You currently have 0 posts.
    - The truely community run Linux/Floss forum !

    No IT BS !!

  5. #5
    As has already been said, this is an old distro. "2.2.x kernel" kinda points in that direction. If you like red hat have a look at fedora. Community based red hat. It is a good modern distro, it may very well detect your card from the get-go.




    dan

  6. #6
    To compile, from a command prompt, go to the directory where you decompressed the archive, and type
    Code:
    make
    . That should compile the module.
    My crime is that of curiosity. My crime is that of judging people by what they say and think, not what they look like. My crime is that of outsmarting you, something that you will never forgive.

  7. #7
    hai guru's

    thank you very much for giving information.
    finally i got installed my dirvers.
    next week i will install upadated version.
    basically i dont know what anything about linux.
    i am learning through books.

    and also i want to know how to unistall this version.
    i am planning to install fedora.

    what i have to do now??

    is there any procedure without formating the system and installing new version??



  8. #8
    Moderator
    Good Guru
    Schotty's Avatar
    Join Date
    Jul 2001
    Location
    Milwaukee, WI
    Posts
    5,760
    Backup any important data you wish to keep, then just wipe the drive when you install fedora.

    To view links or images in signatures your post count must be 10 or greater. You currently have 0 posts.


  9. #9
    Once you have installed the latest fedora, you shouldnt have to reinstall for a very long time. If I'm not mistaken fedora uses yum for updating, you should be able to keep up with the current version of fedora without having to reinstall ever.





    dan

  10. #10
    Newbie
    Join Date
    May 2006
    Location
    Pune
    Posts
    1

    Thumbs up facing problem while #insmod sc92031.o

    Dear trickster,

    as per your insruction I am able to complie the sc92031.c file to sc92031.o

    Now whe I am trying to run command as #insmod sc92031.o But I am getting below error message

    #insmod sc92031.o
    sc92031.o: init_module: No such device
    Hint: insmod errors can be caused by incorrect module parameters, including invalid IO or IRQ parameters.
    You may find more information in syslog or the output from dmesg


    Please help me how to proceed now to install the driver.

    I am using Red Hat Linux 9, kernel 2.4.20-8 because readme file said that this driver file can be used upto kernel 2.4.x only
    I have also with me Fedora 4, kernel 2.6.8-1

    Awaiting for your reply.

    --- Jitendra Deshpande

Similar Threads

  1. Replies: 2
    Last Post: 03-12-2008, 06:52 AM
  2. Trouble installing Hostap Driver for 2.6.16-1.2129
    By titanas in forum Linux - Software, Applications & Programming
    Replies: 4
    Last Post: 06-07-2006, 11:44 AM
  3. Power over Ethernet
    By Fatal Error in forum Linux - General Topics
    Replies: 9
    Last Post: 05-11-2005, 12:20 PM
  4. libranet 2.8 ethernet issues
    By Dswissmiss in forum Linux - Software, Applications & Programming
    Replies: 8
    Last Post: 03-20-2004, 04:20 AM
  5. Rg-58 Ethernet troubleshooting
    By 10Dedfish in forum Linux - Hardware, Networking & Security
    Replies: 2
    Last Post: 06-26-2003, 02:16 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •